--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: This method sets the password if the proposed new password is valid
full_name: Irc::Bot::Auth::BotUser#password=
is_singleton: false
name: password=
params: (pwd=nil)
visibility: public
